EShip
Get shipment
Retrieve a shipment by `shipment_id` or `tracking_number`. Add `eventList=true` to include tracking events.
Authorization
authorization AuthorizationBearer <token>
In: header
Query Parameters
shipment_id?string
Shipment ID
tracking_number?string
Tracking number
eventList?boolean
Include tracking events
Response Body
application/json
application/json
curl -X GET "https://api.parsel.app/compatible/eship/rest/shipment"{
"address_from": {
"city": "Atlanta",
"country": "US",
"name": "John Doe",
"phone": "5551234567",
"state": "GA",
"street1": "313 Nelson Street Southwest",
"zip": "30313"
},
"address_to": {
"city": "Atlanta",
"country": "US",
"name": "John Doe",
"phone": "5551234567",
"state": "GA",
"street1": "313 Nelson Street Southwest",
"zip": "30313"
},
"created_at": "2019-08-24T14:15:22Z",
"eventList": [
{
"location": "string",
"status": "UNKNOWN",
"status_details": "string",
"substatus": "label_created",
"timestamp": "2019-08-24T14:15:22Z"
}
],
"label_url": "string",
"messages": [
"string"
],
"object_id": "string",
"parcels": [
{
"distance_unit": "in",
"height": 5,
"length": 10,
"mass_unit": "lb",
"weight": 2,
"width": 8
}
],
"rates": [
{
"amount": 8.5,
"currency": "USD",
"days": 3,
"provider": "UPS",
"rate_id": "123e4567-e89b-12d3-a456-426614174000",
"servicelevel": {
"name": "Ground",
"token": "ground"
},
"tags": []
}
],
"status": "UNKNOWN",
"substatus": "label_created",
"tracking_number": "string",
"tracking_url_custom": "string",
"tracking_url_provider": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"message": "string",
"status": "ERROR"
}